%define name dia-newcanvas
%define version 0.6.10
%define release 3mdk

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Name:		%{name}
Summary:	New canvas dor Dia
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
URL:		http://gael.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Buildrequires:	pkgconfig libpython2.3-devel glibc-static-devel pygtk2.0-devel
Buildrequires:  libatk-devel libgdk_pixbuf2.0_0-devel libxml2-devel 
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
It differs from the GNOME canvas in that it has a different
approach. First the primitives used are the classicals like 
point, line, rectangle... and groups, but it also has three 
other non classical primitives that are connection point,
attract point and attracted point.
They are used to connect groups and set the snap system.
More over, dia-newcanvas has a model/view split. One DiaCanvas 
can have multiple DiaCanvasViews.  The API for using DiaCanvas 
is quite similar to that of GnomeCanvas, as can be seen in the 
simple test-diacanvas.c example program.

%package -n %libname
Summary:        New canvas dor Dia - Libraries
Group:		System/Libraries

%description -n %libname
It differs from the GNOME canvas in that it has a different
approach. First the primitives used are the classicals like 
point, line, rectangle... and groups, but it also has three 
other non classical primitives that are connection point,
attract point and attracted point.
They are used to connect groups and set the snap system.
More over, dia-newcanvas has a model/view split. One DiaCanvas 
can have multiple DiaCanvasViews.  The API for using DiaCanvas 
is quite similar to that of GnomeCanvas, as can be seen in the 
simple test-diacanvas.c example program.

%package -n %libname-devel
Summary:        New canvas dor Dia - Devel files
Group:		Development/Other
Requires:	%libname = %version
Provides:	%libname-devel
Provides:	libdia-newcanvas-devel

%description -n %libname-devel
It differs from the GNOME canvas in that it has a different
approach. First the primitives used are the classicals like
point, line, rectangle... and groups, but it also has three
other non classical primitives that are connection point,
attract point and attracted point.
They are used to connect groups and set the snap system.
More over, dia-newcanvas has a model/view split. One DiaCanvas
can have multiple DiaCanvasViews.  The API for using DiaCanvas
is quite similar to that of GnomeCanvas, as can be seen in the
simple test-diacanvas.c example program.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
 
%makeinstall
 
%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig
 
%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL 
%doc README TODO 
%_libdir/*.so.*
%_libdir/libglade/2.0/*.so.*
%_libdir/pkgconfig/*

%files -n %libname-devel
%defattr(-,root,root,0755)
%_includedir/*
%_libdir/*.so
%_libdir/libglade/2.0/*.so
%_libdir/*.la
%_libdir/libglade/2.0/*.la
%_libdir/python2.3/site-packages/*

%changelog
* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.10-3mdk
- rebuild for dependencies

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.10-2mdk
- adjust buildrequires

* Thu Feb 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.10-1mdk
- 0.6.10
- use mklibname

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.9-2mdk
- rebuild

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.9-1mdk
- patch0: add missing includes
